#!/bin/bash

#### Variables
APT_UPDATE="apt -y update"
APT_INST="apt -y install"
APT_PURGE="apt -y purge"
APT_REMOVE="apt -y autoremove"

PKG="brave-browser"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true; do
        read -rN1 input
        case $input in
        [yY][eE][sS] | [yY])
            return 0

            break
            ;;
        [nN][oO] | [nN])
            return 1
            ;;
        esac
    done
}

#### Main

check_root

echo -e "\nUpdate apt"
echo "$APT_UPDATE"
$APT_UPDATE

echo -ne "\nYou want to install Brave ($PKG)? "

if choice 2>/dev/null; then
    echo -ne "\nAdd repository for Brave\n"
    $APT_INST apt-transport-https wget
    sudo install -d -m 0755 /etc/apt/keyrings
    wget -q https://brave-browser-apt-release.s3.brave.com/brave-browser-archive-keyring.gpg -O- | tee /etc/apt/keyrings/brave-browser.asc > /dev/null
    echo "deb [signed-by=/etc/apt/keyrings/brave-browser.asc] https://brave-browser-apt-release.s3.brave.com/ stable main" | sudo tee /etc/apt/sources.list.d/brave.list > /dev/null
    $APT_UPDATE
    echo -ne "\n$APT_INST $PKG\n"
    $APT_INST $PKG
fi

echo -ne "\n\n"
